FROM alpine:latest AS compile

RUN mkdir /build

WORKDIR /build

# Add edge repository
RUN echo -e "\nhttps://dl-cdn.alpinelinux.org/alpine/edge/community" >> /etc/apk/repositories

RUN apk update && \
    apk add pnpm nodejs npm nim nimble go-task git build-base

ADD . .

RUN go-task docker-build-frontend
RUN go-task docker-build-backend 

RUN echo $(pwd) $(ls)

FROM alpine:latest

WORKDIR /app

RUN apk update && \
    apk add sqlite-dev

COPY --from=compile /build/gw /app/
COPY --from=compile /build/public /app/public

CMD ["/app/gw"]


